#!/usr/bin/python
from pychartdir import *
import cgi

#get HTTP query parameters
query = cgi.FieldStorage()

#Get the selected year and month
selectedYear = int(query["year"].value)
selectedMonth = int(query["x"].value) + 1

#Get the monthly revenue
monthlyRevenue = float(query["value"].value)

#
#  In this demo, we just split the total revenue into 3 parts using random
#  numbers. In real life, the data probably can come from a database.
#
import whrandom
ran = whrandom.whrandom((selectedMonth * 2000 + selectedYear) % 256)
data = [0] * 3
data[0] = (ran.random() * 0.1 + 0.5) * monthlyRevenue
data[1] = (ran.random() * 0.1 + 0.2) * monthlyRevenue
data[2] = monthlyRevenue - data[0] - data[1]

#The labels for the pie chart
labels = ["Services", "Hardware", "Software"]

#Create a PieChart object of size 360 x 260 pixels
c = PieChart(360, 260)

#Set the center of the pie at (180, 140) and the radius to 100 pixels
c.setPieSize(180, 130, 100)

#Add a title to the pie chart using 13 pts Times Bold Italic font
c.addTitle("Revenue Breakdown for %s/%s" % (selectedMonth, selectedYear),
    "timesbi.ttf", 13)

#Draw the pie in 3D
c.set3D()

#Set the pie data and the pie labels
c.setData(data, labels)

#Create the image and save it in a temporary location
chart1URL = c.makeTmpFile("/tmp/tmpcharts")

#Create an image map for the chart
imageMap = c.getHTMLImageMap("piestub.py", "", "title='{label}:USD {value|0}K'")

print "Content-type: text/html\n"
print """
<html>
<body>
<h1>Simple Clickable Pie Chart</h1>
<p><a href="viewsource.py?file=""", os.environ["SCRIPT_NAME"], """">
View Source Code
</a></p>

<img src="myimage.py?img=/tmp/tmpcharts/%(chart1URL)s" border="0" usemap="#map1">
<map name="map1">
%(imageMap)s
</map>
</body>
</html>
""" % vars()
