#!/usr/bin/python
import cgi, os, string

#get HTTP query parameters
query = cgi.FieldStorage()

#
#Perform the database query to get the required data. The selected year
#should be passed in as a query parameter called "year"
#
if query.has_key("year") :
	selectedYear = int(query["year"].value)
else :
	selectedYear = 2001

#
#Query the database to get the software, hardware and services revenues 
#of each month for the selected year. In this demo, we will just use
#random numbers instead of a real database. 
#
software = []
hardware = []
services = []

import whrandom
ran = whrandom.whrandom(selectedYear % 256)
for i in range(0, 12) :
	software.append(ran.randint(40, 70) * (selectedYear - 1985))
	hardware.append(ran.randint(40, 70) * (selectedYear - 1985))
	services.append(ran.randint(40, 70) * (selectedYear - 1985))

#Serialize the data into a string to be used as HTTP query parameters
httpParam = "year=%s&software=%s&hardware=%s&services=%s" % (selectedYear,
	string.join(map(str, software), ","), string.join(map(str, hardware),
	","), string.join(map(str, services), ","))

print "Content-type: text/html\n"
print """
<html>
<body>
<h1>Database Integration Demo (2)</h1>
<p style="width:500px;">This example demonstrates creating a chart using 
data from a database. The database query is performed in the containing
HTML page. The data are then passed to the chart generation pages as 
HTTP GET parameters.</p>

<ul>
	<li><a href="viewsource.py?file=""" + os.environ["SCRIPT_NAME"] + """">
		View containing HTML page source code
	</a></li>
	<li><a href="viewsource.py?file=dbdemo2a.py">
		View chart generation page source code for upper chart
	</a></li>
	<li><a href="viewsource.py?file=dbdemo2b.py">
		View chart generation page source code for lower chart
	</a></li>
</ul>

<form action='""" + os.environ["SCRIPT_NAME"] + """'>
	I want to obtain the revenue data for the year 
	<select name="year">
		<option value="1990">1990
		<option value="1991">1991
		<option value="1992">1992
		<option value="1993">1993
		<option value="1994">1994
		<option value="1995">1995
		<option value="1996">1996
		<option value="1997">1997
		<option value="1998">1998
		<option value="1999">1999
		<option value="2000">2000
		<option value="2001">2001
	</select>
	<input type="submit" value="OK">
</form>

<SCRIPT>
	//make sure the select box displays the current selected year.
	document.forms[0].year.selectedIndex = %(selectedYear)s - 1990;
</SCRIPT>

<img src="dbdemo2a.py?%(httpParam)s"><br>
<img src="dbdemo2b.py?%(httpParam)s">

</body>
</html>
""" % vars()
