#!/usr/bin/python
from pychartdir import *
import cgi, os

#
#Query the database to get the for the last 10 years. In this demo, 
#we will just use random numbers instead of a real database. 
#
revenue = []
timestamp = []

import whrandom
ran = whrandom.whrandom(128)
for i in range(1990, 2002) :
	revenue.append(ran.randint(480, 840) * (i - 1985))
	timestamp.append(str(i))
	
#
#Now we obtain the data into arrays, we can start to draw the chart 
#using ChartDirector
#	
	
#Create a XYChart of size 420 pixels x 240 pixels
c = XYChart(420, 240)

#Set the chart background to pale yellow (0xffffc0) with a 2 pixel 3D border
c.setBackground(0xffffc0, 0xffffc0, 2)
	
#Set the plotarea at (70, 50) and of size 320 x 150 pixels. Set background
#color to white (0xffffff). Enable both horizontal and vertical grids by
#setting their colors to light grey (0xc0c0c0)
c.setPlotArea(70, 50, 320, 150, 0xffffff, 0xffffff, 0xc0c0c0, 0xc0c0c0)

#Add a title to the chart
c.addTitle("Revenue for Last 10 Years", "timesbi.ttf"
	).setBackground(0xffff00)

#Add a legend box at the top of the plotarea
c.addLegend(70, 30, 0, "", 8).setBackground(Transparent)

#Add a multi-color bar chart layer using the supplied data
c.addBarLayer3(revenue).setBorderColor(Transparent, 1)
	
#Set the x-axis labels using the supplied labels
c.xAxis().setLabels(timestamp)

#Set the x-axis width to 2 pixels
c.xAxis().setWidth(2)

#Set the y axis title
c.yAxis().setTitle("USD (K)")

#Set the y-axis width to 2 pixels
c.yAxis().setWidth(2)

#Create the image and save it in a temporary location
chart1URL = c.makeTmpFile("/tmp/tmpcharts")

#Create an image map for the chart
imageMap = c.getHTMLImageMap("dbdemo3a.py", "",
    "title='{xLabel}: USD {value|0}K'")

print "Content-type: text/html\n"
print """
<html>
<body>
<h1>Database Clickable Charts</h1>
<p style="width:500px;">The example demonstrates creating a clickable chart
using data from a database. Click on a bar below to "drill down" onto a 
particular year.</p>

<p><a href="viewsource.py?file=""" + os.environ["SCRIPT_NAME"] + """">
	View source code
</a></p>

<img src="myimage.py?img=/tmp/tmpcharts/%(chart1URL)s" border="0" usemap="#map1">
<map name="map1">
%(imageMap)s
</map>

</body>
</html>
""" % vars()
