#!/usr/bin/python
from pychartdir import *
import cgi, os

#get HTTP query parameters
query = cgi.FieldStorage()

#
#Retrieve the selected year from the query variable "xLabel"
#
selectedYear = int(query["xLabel"].value)

#
#Query the database to get the software, hardware and services revenues 
#of each month for the selected year. In this demo, we will just use
#random numbers instead of a real database. 
#
software = []
hardware = []
services = []

import whrandom
ran = whrandom.whrandom(selectedYear % 256)
for i in range(0, 12) :
	software.append(ran.randint(40, 70) * (selectedYear - 1985))
	hardware.append(ran.randint(40, 70) * (selectedYear - 1985))
	services.append(ran.randint(40, 70) * (selectedYear - 1985))

#
#Now we obtain the data into arrays, we can start to draw the chart 
#using ChartDirector
#	
	
#Create a XYChart of size 420 pixels x 240 pixels
c = XYChart(420, 240)

#Set the chart background to pale yellow (0xffffc0) with a 2 pixel 3D border
c.setBackground(0xffffc0, 0xffffc0, 2)
	
#Set the plotarea at (70, 50) and of size 320 x 150 pixels. Set background
#color to white (0xffffff). Enable both horizontal and vertical grids by
#setting their colors to light grey (0xc0c0c0)
c.setPlotArea(70, 50, 320, 150, 0xffffff, 0xffffff, 0xc0c0c0, 0xc0c0c0)

#Add a title to the chart
c.addTitle("Revenue for " + str(selectedYear), "timesbi.ttf"
	).setBackground(0xffff00)

#Add a legend box at the top of the plotarea
c.addLegend(70, 30, 0, "", 8).setBackground(Transparent)

#Add a stacked bar chart layer using the supplied data
layer = c.addBarLayer2(Stack)
layer.addDataSet(software, -1, "Software")
layer.addDataSet(hardware, -1, "Hardware")
layer.addDataSet(services, -1, "Services")
layer.setBorderColor(Transparent, 1)
	
#Set the x axis labels. In this example, the labels must be Jan - Dec.
labels = ["Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug",
	"Sept", "Oct", "Nov", "Dec"]
c.xAxis().setLabels(labels)

#Set the x-axis width to 2 pixels
c.xAxis().setWidth(2)

#Set the y axis title
c.yAxis().setTitle("USD (K)")

#Set the y-axis width to 2 pixels
c.yAxis().setWidth(2)

#Create the image and save it in a temporary location
chart1URL = c.makeTmpFile("/tmp/tmpcharts")

#Create an image map for the chart
imageMap = c.getHTMLImageMap("xystub.py", "",
    "title='{dataSetName} @ {xLabel} = USD {value|0}K'");

print "Content-type: text/html\n"
print """
<html>
<body>
<h1>Database Clickable Chart</h1>
<p style="width:500px;">You have click the bar of the year 
""" + str(selectedYear) + """. Below is the "drill-down" chart 
showing the monthly details.</p>

<p><a href="viewsource.py?file=""" + os.environ["SCRIPT_NAME"] + """">
	View source code
</a></p>

<img src="myimage.py?img=/tmp/tmpcharts/%(chart1URL)s" border="0" usemap="#map1">
<map name="map1">
%(imageMap)s
</map>

</body>
</html>
""" % vars()
